package com.lz.common.emun;



/**
 * 绩效通知相关type
 */
public enum WorkMsgTypeEnum {
    //绩效提交审核的通知（自己提交给领导，自己提交给人事，人事提交给老板）
    SUBMIT(0, "绩效提交", "去审核", "# 绩效提交\n  ## @的绩效已经提交"),
    //绩效打回审核的通知
    REJECT(1, "绩效驳回", "去修改", "# 绩效驳回\n  ## @的绩效被驳回"),
    //绩效通过领导审核的通知，这一步提交到HR，提交的type
    LEADER_PASS(2, "绩效已打分", "去提交给人事", "# 绩效已打分\n  ## 你的绩效已经打分"),
    //绩效通过人事，老板审核的最终审核通知
    PASS(3, "绩效通过", "去查看", "# 绩效通过\n  ## 你的绩效已经通过"),
    URGING(4, "绩效催办", "去处理", "# 绩效催办\n  ## @的绩效需您处理"),
    END(5, "绩效终止", "去查看", "# 绩效终止\n  ## @，你的绩效终止"),
    START_WORK(6, "绩效考评待办事项", "去查看", "# 绩效目标制定\n  ## @，你的绩效需要制定目标"),
    START_SCORE(7, "绩效考评待办事项", "去查看", "# 绩效结果输入\n  ## @，你的绩效需要输入结果"),
    PROCESS(8, "绩效考评待办事项", "去查看", "# @的绩效\n  ## 需您去处理"),

    SCORE(9, "绩效考评待办事项", "评分", "\n @的绩效\n  \n 需您去评分"),
    SKIP(10, "绩效跳过", "跳过", "# @的绩效\n  ## 己经跳过"),
    TRANSFER(11, "绩效转交", "转交", "# @的绩效\n  ## 己经转交"),
    CLEARN(12, "绩效转交", "转交", "# @的绩效\n  ## 己经转交"),
    TASK_COMMENT(13, "任务评论", "去查看", "# 任务评论\n  ## @1评论了你的@2的任务"),
    TASK_UPDATE(14, "任务更新", "去更新", "# 任务更新\n  ## 记得每天来更新任务哦"),
    TASK_REPLY_COMMENT(15, "任务评论", "去查看", "# 任务评论\n  ## @1在@2的任务中@的了你"),
    // 您的2020年10月绩效考核已经开始，请尽快制定绩效目标
    // 吴林的2020年12月绩效考核的目标需要您确认，点击前往确认
    ;
    int type;
    String title;
    String btnText;
    String content;




    WorkMsgTypeEnum(int type, String title, String btnText, String content){
        this.type = type;
        this.title = title;
        this.btnText = btnText;
        this.content = content;
    }



    public static WorkMsgTypeEnum findRoleTypeByCode(int code) {
        for (WorkMsgTypeEnum workMsgTypeEnum : WorkMsgTypeEnum.values()) {
            if (workMsgTypeEnum.getType() == code) {
                return workMsgTypeEnum;
            }
        }
        return null;
    }

    public int getType() {
        return type;
    }

    public String getTitle() {
        return title;
    }

    public String getBtnText() {
        return btnText;
    }

    public String getContent() {
        return content;
    }
}
